Name:		camera-lib
Version:	0.2
Release:	3.1.moblin2
Summary:	Camera Library For Camera UI

Group:		Applications/Multimedia
License:	LGPLv2.1
Source0: 	%{name}-%{version}.tar.bz2	
Patch0: patch-for-bug-performance-7137.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gst-plugins-base-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gst-0.10)
BuildRequires:  pkgconfig(geoclue)
BuildRequires:  pkgconfig(libexif)

Requires: clutter
Requires: clutter-gst
Requires: gstreamer
Requires: geoclue
Requires: libexif

%description
Camera Library for Camera app;
Provide easily use APIs for UI.

%package devel
Summary: Camera Library header files
Group: Development/Libraries

Requires: %{name} >= %{version}
Requires: clutter-devel
Requires: clutter-gst-devel

%description devel
Description: %{summary}

%prep
%setup -q
%patch0 -p1 -b .patch-for-bug-performance-7137

%build
%autogen --prefix=/usr
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL README
/usr/lib/libcamera-lib.so.*

%files devel
%defattr(-,root,root,-)
/usr/include/camera-lib/*.h
/usr/lib/pkgconfig/camera-lib.pc
/usr/lib/libcamera-lib.so
%changelog
* Thu Oct 29 2009 Huan Zheng <huan.zheng@intel.com> 0.2
- Support videorate, thus help solve performance issue on Jax10 and MRST
* Thu Oct 22 2009 Huan Zheng <huan.zheng@intel.com> 0.2
- Workaround for poor clutter performance
* Thu Oct 15 2009 Halley Zhao <halley.zhao@intel.com> 0.1
- Add GPS
* Tue Sep 29 2009 Huan Zheng <huan.zheng@intel.com> 0.1
- Separate UI out
